﻿Imports Microsoft.Office.Interop.Excel
Imports System.IO

Public Class ExcelWorker

    Public Shared Sub CreateWorkSheet(worksheetPath As String, customer As String, totalLength As String, handleLength As String, diameter1 As String, diameter2 As String)
        'Open sheet
        Dim xlApp As Application = CreateObject("Excel.Application")
        xlApp.Visible = False
        Dim xlWorkbook As Workbook = xlApp.Workbooks.Open(worksheetPath)
        Dim xlSheet As Worksheet = xlWorkbook.ActiveSheet

        'Make changes
        xlSheet.Cells(2, 2).value = customer
        xlSheet.Cells(5, 2).value = totalLength
        xlSheet.Cells(6, 2).value = handleLength
        xlSheet.Cells(7, 2).value = diameter1
        xlSheet.Cells(8, 2).value = diameter2

        'Save
        xlWorkbook.SaveAs(Path.GetDirectoryName(worksheetPath) + "\" + customer + Path.GetExtension(worksheetPath))

        'Clean up
        xlSheet = Nothing
        xlWorkbook.Close(True)
        xlWorkbook = Nothing
        xlApp.Quit()
        xlApp = Nothing
    End Sub

End Class
